## xapian-core 1.2.12

=== debian/changelog ===
xapian-core (1.2.12-2) unstable; urgency=low

  * New patch fix-db-write-lock.patch which fixes database write locking to
    work when the lock file is already open in the same process.
    (Closes: #695542)
  * New patch replication-above-32GB.patch which fixes database replication to
    handle files > 32GB.  (Closes: #695643)

 -- Olly Betts <olly@survex.com>  Tue, 11 Dec 2012 04:22:04 +0000

xapian-core (1.2.12-1) unstable; urgency=low

  * New upstream release.
    + Checks if Qt headers have already been included and defined 'slots' as
      a macro, and if so gives a clear error advising how to work around this
      (previously compilation would fail with a confusing error).
      (Closes: #651696)
  * debian/rules: Calculate the soversion in a simpler way, using awk.

 -- Olly Betts <olly@survex.com>  Thu, 28 Jun 2012 07:53:22 +0000

xapian-core (1.2.10-2) unstable; urgency=low

  * Enable hardening flags, based on patch from Moritz Muehlenhoff.
    (Closes: #672836)

 -- Olly Betts <olly@survex.com>  Sun, 20 May 2012 11:45:04 +0000

xapian-core (1.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.9.3 (no changes required).
  * debian/copyright: Update copyright years.

 -- Olly Betts <olly@survex.com>  Thu, 10 May 2012 03:15:27 +0000

=== debian/debian/changelog ===
xapian-core (1.2.11-1) unstable; urgency=low

  * New upstream release.
    + Checks if Qt headers have already been included and defined 'slots' as
      a macro, and if so gives a clear error advising how to work around this
      (previously compilation would fail with a confusing error).
      (Closes: #651696)

 -- Olly Betts <olly@survex.com>  Wed, 27 Jun 2012 07:15:31 +0000

=== debian/control ===
Source: xapian-core
Section: libs
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
Homepage: http://xapian.org/
Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-core
Vcs-svn: svn://svn.xapian.org/xapian/trunk/xapian-core

Package: libxapian22
Architecture: any
Section: libs
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-tools
Description: Search engine library
 This package contains the core Xapian runtime library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: libxapian22-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libc6-dbg, libgcc1-dbg, zlib1g-dbg, libstdc++6-4.6-dbg
Description: Debugging symbols for the Xapian Search engine library
 This package contains debugging symbols for the core Xapian library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: libxapian-dev
Architecture: any
Section: libdevel
Depends: libxapian22 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
Description: Development files for Xapian search engine library
 This package contains development libraries and headers for the core Xapian
 library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-tools
Architecture: any
Section: utils
Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Basic tools for Xapian search engine library
 This package contains several tools related to Xapian.
  - copydatabase: Copy one or more Xapian databases.
  - delve: Inspect the contents of a Xapian database.
  - quartzcheck: Check the validity of a quartz-format Xapian database.
  - quartzcompact: Compact a quartz database, or merge and compact several.
  - quartzdump: Dump (part of) a quartz-format Xapian database.
  - quest: Command line search of a Xapian database.
  - xapian-check: Check the validity of a Xapian database.
  - xapian-compact: Compact a quartz database, or merge and compact several.
  - xapian-progsrv: stdin/stdout based server, for searching databases remotely.
  - xapian-tcpsrv: TCP based server, used for searching databases remotely.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libxapian-dev (= ${binary:Version})
Description: Core Xapian documentation
 This package contains general documentation about Xapian, and more detailed
 API documentation.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-examples
Architecture: any
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libxapian-dev (= ${binary:Version})
Description: Xapian simple example programs
 This package contains source code for some example programs which use the
 Xapian library.  The three "simple" examples are also included in binary
 form; binaries for the other examples can be found in the xapian-tools
 package (since they're useful tools in their own right).
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

=== debian/debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
# Copyright (C) 2006,2007,2008,2009,2010,2011,2012 Olly Betts
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

# Codename we're building packages for.  For backported packages, put the
# codename (e.g. lenny or jaunty) in debian/codename.  If that file doesn't
# exist, the default is sid.
# CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)

# The soversion number needs to match that generated by libtool.  The following
# lines should read configure.ac to get the current interface number and
# subtract it from the interface age, to get the oldest interface number
# supported by the library. This should correspond to the soversion assigned
# to the library by libtool.  (This isn't documented, and is system dependent,
# so we need to check it doesn't break with future versions of libtool.)
libxapian_soversion:=$(shell sed 's/^LIBRARY_VERSION_INFO=\([0-9][0-9]*\):[0-9][0-9]*:\([0-9][0-9]*\).*/\1-\2/p;d' configure.ac)
libxapian_soversion:=$(shell echo $$(($(libxapian_soversion))))

# For now, we don't support installation of development files for multiple
# versions concurrently.  Incompatible ABI changes should be rare, so this
# seems reasonable.
libxapian_dev_soversion=

export DH_OPTIONS

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

confflags := --prefix=/usr --sysconfdir=/etc
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
    # Disable the testsuite when cross-compiling.
    DEB_BUILD_OPTIONS += nocheck
endif

# For i386 and *-i386.
ifeq ($(patsubst %-i386,i386,$(DEB_HOST_ARCH)), i386)
    XAPIAN_BUILD_SSE := 1
endif

ifeq ($(DEB_HOST_ARCH), avr32)
    # The avr32 buildd is repeatedly failing with "Took too long", so disable
    # optimisation and the testsuite for now for a faster build.
    DEB_BUILD_OPTIONS += noopt nocheck
endif

CFLAGS := `dpkg-buildflags --get CFLAGS`
CXXFLAGS := `dpkg-buildflags --get CXXFLAGS`
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`

# Fallback for suites which don't have dpkg-buildflags.
ifeq (,$(CFLAGS))
    CFLAGS :=
    CXXFLAGS := -g
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O2
    CXXFLAGS += -O2
endif
endif

# Handle other DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us,
# and dpkg-buildflags handles noopt with newer dpkg.

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    MAKE_CHECK := :
else
    MAKE_CHECK := $(MAKE) check VALGRIND=
endif

confflags += CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

# With GCC3 and later this won't make a huge difference, but it'll save
# a bit of time and diskspace while building.
confflags += --disable-dependency-tracking

maint: \
	debian/control \
	debian/libxapian$(libxapian_soversion).install \
	debian/libxapian$(libxapian_dev_soversion)-dev.install

maintclean: clean
	rm -f debian/control
	rm -f debian/libxapian$(libxapian_soversion).install
	rm -f debian/libxapian$(libxapian_dev_soversion)-dev.install
	rm -rf debian/libxapian$(libxapian_soversion)
	rm -rf debian/libxapian$(libxapian_dev_soversion)-dev
	rm -rf debian/xapian-doc
	rm -rf debian/xapian-tools
	rm -rf debian/tmp debian/tmp-sse2

debian/control: debian/rules debian/control.in debian/compat
	rm -f debian/control.tmp
	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
	     debian/control.in > debian/control.tmp
	mv debian/control.tmp debian/control

debian/libxapian$(libxapian_soversion).install: debian/rules debian/libxapianVERSION.install
	cp -f debian/libxapianVERSION.install debian/libxapian$(libxapian_soversion).install

debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
	cp -f debian/libxapianVERSION-dev.install debian/libxapian$(libxapian_dev_soversion)-dev.install

configure: configure-stamp
configure-stamp: debian/control
	dh_testdir

	# Use the latest config.sub and config.guess from the autotools-dev
	# package.
	rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

	# Report kernel and compiler version so upstream PLATFORMS file can be
	# updated from buildd logs.
	-uname -a
	-g++ --version

	# Configure in a subdirectory, for neatness.
	mkdir -p build
ifdef XAPIAN_BUILD_SSE
	cd build && ../configure $(confflags) --disable-sse
	mkdir -p build-sse2
	cd build-sse2 && ../configure $(confflags) --disable-static
else
	cd build && ../configure $(confflags)
endif

	# Touch the stamp file, to avoid repeating the configure step.
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE) -C build
ifdef XAPIAN_BUILD_SSE
	$(MAKE) -C build-sse2
	$(MAKE_CHECK) -C build-sse2
else
	$(MAKE_CHECK) -C build
endif
	touch $@

install: DH_OPTIONS=
install: build \
	 debian/libxapian$(libxapian_soversion).install \
	 debian/libxapian$(libxapian_dev_soversion)-dev.install
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Install the files into debian/tmp
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
ifdef XAPIAN_BUILD_SSE
	$(MAKE) -C build-sse2 DESTDIR=$(CURDIR)/debian/tmp-sse2 install
	mkdir $(CURDIR)/debian/tmp/usr/lib/sse2
	mv $(CURDIR)/debian/tmp-sse2/usr/lib/libxapian*.so.* $(CURDIR)/debian/tmp/usr/lib/sse2
	rm -rf $(CURDIR)/debian/tmp-sse2
endif

	# Empty dependency_libs to placate luddite release goal.
	sed -i 's/^\(dependency_libs=\).*/\1/' $(CURDIR)/debian/tmp/usr/lib/libxapian.la

	# Install the example source code
	mkdir -p debian/tmp/usr/share/doc/xapian-examples/examples
	cp examples/*.cc debian/tmp/usr/share/doc/xapian-examples/examples
	ln -s ../../../../lib/xapian-examples/examples debian/tmp/usr/share/doc/xapian-examples/examples/built

	# Fix up link to the internal sourcedocs to point to those on the
	# Xapian website since we don't build and package them.
	sed -i 's,sourcedoc/html/annotated.html,http://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html

	# Reads the *.install files to decide where to install everything
	dh_install --sourcedir=debian/tmp --fail-missing


binary: binary-arch binary-indep
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
# Copyright (C) 2006,2007,2008,2009,2010,2011,2012 Olly Betts
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

# Codename we're building packages for.  For backported packages, put the
# codename (e.g. lenny or jaunty) in debian/codename.  If that file doesn't
# exist, the default is sid.
# CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)

# The soversion number needs to match that generated by libtool.  The following
# lines should read configure.ac to get the current interface number and
# subtract it from the interface age, to get the oldest interface number
# supported by the library. This should correspond to the soversion assigned
# to the library by libtool.  (This isn't documented, and is system dependent,
# so we need to check it doesn't break with future versions of libtool.)
libxapian_soversion:=$(shell awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2 - $$4}' configure.ac)

# For now, we don't support installation of development files for multiple
# versions concurrently.  Incompatible ABI changes should be rare, so this
# seems reasonable.
libxapian_dev_soversion=

export DH_OPTIONS

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

confflags := --prefix=/usr --sysconfdir=/etc
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
    # Disable the testsuite when cross-compiling.
    DEB_BUILD_OPTIONS += nocheck
endif

# For i386 and *-i386.
ifeq ($(patsubst %-i386,i386,$(DEB_HOST_ARCH)), i386)
    XAPIAN_BUILD_SSE := 1
endif

ifeq ($(DEB_HOST_ARCH), avr32)
    # The avr32 buildd is repeatedly failing with "Took too long", so disable
    # optimisation and the testsuite for now for a faster build.
    DEB_BUILD_OPTIONS += noopt nocheck
endif

CFLAGS := `dpkg-buildflags --get CFLAGS`
CXXFLAGS := `dpkg-buildflags --get CXXFLAGS`
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`

# Fallback for suites which don't have dpkg-buildflags.
ifeq (,$(CFLAGS))
    CFLAGS :=
    CXXFLAGS := -g
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O2
    CXXFLAGS += -O2
endif
endif

# Handle other DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us,
# and dpkg-buildflags handles noopt with newer dpkg.

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    MAKE_CHECK := :
else
    MAKE_CHECK := $(MAKE) check VALGRIND=
endif

confflags += CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

# With GCC3 and later this won't make a huge difference, but it'll save
# a bit of time and diskspace while building.
confflags += --disable-dependency-tracking

maint: \
	debian/control \
	debian/libxapian$(libxapian_soversion).install \
	debian/libxapian$(libxapian_dev_soversion)-dev.install

maintclean: clean
	rm -f debian/control
	rm -f debian/libxapian$(libxapian_soversion).install
	rm -f debian/libxapian$(libxapian_dev_soversion)-dev.install
	rm -rf debian/libxapian$(libxapian_soversion)
	rm -rf debian/libxapian$(libxapian_dev_soversion)-dev
	rm -rf debian/xapian-doc
	rm -rf debian/xapian-tools
	rm -rf debian/tmp debian/tmp-sse2

debian/control: debian/rules debian/control.in debian/compat
	rm -f debian/control.tmp
	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
	     debian/control.in > debian/control.tmp
	mv debian/control.tmp debian/control

debian/libxapian$(libxapian_soversion).install: debian/rules debian/libxapianVERSION.install
	cp -f debian/libxapianVERSION.install debian/libxapian$(libxapian_soversion).install

debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
	cp -f debian/libxapianVERSION-dev.install debian/libxapian$(libxapian_dev_soversion)-dev.install

configure: configure-stamp
configure-stamp: debian/control
	dh_testdir

	# Use the latest config.sub and config.guess from the autotools-dev
	# package.
	rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

	# Report kernel and compiler version so upstream PLATFORMS file can be
	# updated from buildd logs.
	-uname -a
	-g++ --version

	# Configure in a subdirectory, for neatness.
	mkdir -p build
ifdef XAPIAN_BUILD_SSE
	cd build && ../configure $(confflags) --disable-sse
	mkdir -p build-sse2
	cd build-sse2 && ../configure $(confflags) --disable-static
else
	cd build && ../configure $(confflags)
endif

	# Touch the stamp file, to avoid repeating the configure step.
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE) -C build
ifdef XAPIAN_BUILD_SSE
	$(MAKE) -C build-sse2
	$(MAKE_CHECK) -C build-sse2
else
	$(MAKE_CHECK) -C build
endif
	touch $@

install: DH_OPTIONS=
install: build \
	 debian/libxapian$(libxapian_soversion).install \
	 debian/libxapian$(libxapian_dev_soversion)-dev.install
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Install the files into debian/tmp
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
ifdef XAPIAN_BUILD_SSE
	$(MAKE) -C build-sse2 DESTDIR=$(CURDIR)/debian/tmp-sse2 install
	mkdir $(CURDIR)/debian/tmp/usr/lib/sse2
	mv $(CURDIR)/debian/tmp-sse2/usr/lib/libxapian*.so.* $(CURDIR)/debian/tmp/usr/lib/sse2
	rm -rf $(CURDIR)/debian/tmp-sse2
endif

	# Empty dependency_libs to placate luddite release goal.
	sed -i 's/^\(dependency_libs=\).*/\1/' $(CURDIR)/debian/tmp/usr/lib/libxapian.la

	# Install the example source code
	mkdir -p debian/tmp/usr/share/doc/xapian-examples/examples
	cp examples/*.cc debian/tmp/usr/share/doc/xapian-examples/examples
	ln -s ../../../../lib/xapian-examples/examples debian/tmp/usr/share/doc/xapian-examples/examples/built

	# Fix up link to the internal sourcedocs to point to those on the
	# Xapian website since we don't build and package them.
	sed -i 's,sourcedoc/html/annotated.html,http://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html

	# Reads the *.install files to decide where to install everything
	dh_install --sourcedir=debian/tmp --fail-missing


binary: binary-arch binary-indep
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums

## xapian-core 1.2.15

=== debian/changelog ===
xapian-core (1.2.15-2) unstable; urgency=low

  * debian/control.in: libxapian22 - "Priority: optional" to
    match overrides file.
  * debian/rules: Fix target dependencies so we don't run the testsuite twice.
  * debian/rules: Mark build-arch and build-indep as phony targets.
  * debian/copyright: Update to include 2013.

 -- Olly Betts <olly@survex.com>  Tue, 28 May 2013 10:33:34 +0000

xapian-core (1.2.15-1) unstable; urgency=low

  * New upstream release:
    + Incorporates both the patches we were carrying.
  * debian/control.in: Standards-Version: 3.9.4 (no changes required).
  * Fix binary-arch to depend on build-arch and binary-indep to depend on
    build-indep (previously both depended on build).
  * Add lintian overrides for hardening-no-fortify-functions false positives.

 -- Olly Betts <olly@survex.com>  Fri, 10 May 2013 10:22:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
 Homepage: http://xapian.org/
 Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-core
@@ -11,7 +11,7 @@
 Package: libxapian22
 Architecture: any
 Section: libs
-Priority: important
+Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
 Description: Search engine library

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011,2012 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -159,7 +159,7 @@
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
-build-stamp: configure
+build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE) -C build
 ifdef XAPIAN_BUILD_SSE
@@ -171,7 +171,8 @@
 	touch $@
 
 install: DH_OPTIONS=
-install: build \
+install: install-stamp
+install-stamp: build-stamp \
 	 debian/libxapian$(libxapian_soversion).install \
 	 debian/libxapian$(libxapian_dev_soversion)-dev.install
 	dh_testdir
@@ -202,11 +203,11 @@
 
 	# Reads the *.install files to decide where to install everything
 	dh_install --sourcedir=debian/tmp --fail-missing
-
+	touch $@
 
 binary: binary-arch binary-indep
 binary-indep: DH_OPTIONS=-i
-binary-indep: build install
+binary-indep: build-indep install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -215,7 +216,3 @@
 	dh_installman
 	dh_installchangelogs ChangeLog
 	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums

## xapian-core 1.2.16

=== backends/brass/Makefile ===
# Makefile for use in directories built by non-recursive make.

SHELL = /bin/sh

all check:
	cd ../.. && $(MAKE) $@

clean:
	rm -f *.o *.obj *.lo

=== debian/changelog ===
xapian-core (1.2.16-2ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 16:08:19 +0100

xapian-core (1.2.16-2) unstable; urgency=low

  * Fix creation of directory sse2 variant gets installed into.

 -- Olly Betts <olly@survex.com>  Fri, 06 Dec 2013 10:11:48 +1300

xapian-core (1.2.16-1) unstable; urgency=low

  * New upstream release:
    + Fix xapian-chert-update's -b option to work rather than always
      segfaulting. (Closes: #716484)
  * debian/watch: Fix to only consider stable releases, and to look for
    .tar.xz which upstream now uses.
  * debian/control.in: "Standards-Version: 3.9.5" (no changes required).
  * debian/rules,libxapianVERSION.install: Stop using brace expansion, fixing
    lintian warning brace-expansion-in-debhelper-config-file - instead install
    the sse2 build (where done) directly into the libxapianNN package
    directory.
  * debian/rules: Drop workaround for avr32 build timing out.
  * debian/control.in: Packaging now stored in git in debian collab-maint.

 -- Olly Betts <olly@survex.com>  Fri, 06 Dec 2013 07:59:30 +1300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dh-autoreconf
 Homepage: http://xapian.org/
-Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-core
-Vcs-svn: svn://svn.xapian.org/xapian/trunk/xapian-core
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-core.git
+Vcs-git: git://anonscm.debian.org/collab-maint/xapian-core.git
 
 Package: libxapian22
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -57,12 +57,6 @@
 # For i386 and *-i386.
 ifeq ($(patsubst %-i386,i386,$(DEB_HOST_ARCH)), i386)
     XAPIAN_BUILD_SSE := 1
-endif
-
-ifeq ($(DEB_HOST_ARCH), avr32)
-    # The avr32 buildd is repeatedly failing with "Took too long", so disable
-    # optimisation and the testsuite for now for a faster build.
-    DEB_BUILD_OPTIONS += noopt nocheck
 endif
 
 CFLAGS := `dpkg-buildflags --get CFLAGS`
@@ -132,11 +126,7 @@
 configure-stamp: debian/control
 	dh_testdir
 
-	# Use the latest config.sub and config.guess from the autotools-dev
-	# package.
-	rm -f config.sub config.guess
-	ln -s /usr/share/misc/config.sub config.sub
-	ln -s /usr/share/misc/config.guess config.guess
+	dh_autoreconf
 
 	# Report kernel and compiler version so upstream PLATFORMS file can be
 	# updated from buildd logs.
@@ -182,10 +172,11 @@
 
 	# Install the files into debian/tmp
 	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
+
 ifdef XAPIAN_BUILD_SSE
 	$(MAKE) -C build-sse2 DESTDIR=$(CURDIR)/debian/tmp-sse2 install
-	mkdir $(CURDIR)/debian/tmp/usr/lib/sse2
-	mv $(CURDIR)/debian/tmp-sse2/usr/lib/libxapian*.so.* $(CURDIR)/debian/tmp/usr/lib/sse2
+	mkdir -p $(CURDIR)/debian/libxapian$(libxapian_soversion)/usr/lib/sse2
+	mv $(CURDIR)/debian/tmp-sse2/usr/lib/libxapian*.so.* $(CURDIR)/debian/libxapian$(libxapian_soversion)/usr/lib/sse2
 	rm -rf $(CURDIR)/debian/tmp-sse2
 endif
 
@@ -216,3 +207,20 @@
 	dh_installman
 	dh_installchangelogs ChangeLog
 	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary-arch: DH_OPTIONS=-a
+binary-arch: build-arch install
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installman
+	dh_installchangelogs ChangeLog
+	:
+	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg

=== debian/watch ===
version=3
http://xapian.org/download http://oligarchy.co.uk/xapian/(\d+\.\d*[02468]\.[\d.]+)/xapian-core-\1\.tar\.(?:xz|bz2|gz)

## xapian-core 1.2.18

=== debian/changelog ===
xapian-core (1.2.18-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Aug 2014 20:47:16 +0200

xapian-core (1.2.18-1) unstable; urgency=medium

  * New upstream release.
  * Raise priority of libxapian22 to 'important', since aptitude depends on
    it.  (Closes: #741637)

 -- Olly Betts <olly@survex.com>  Sun, 29 Jun 2014 11:05:16 +1200

xapian-core (1.2.17-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Apr 2014 13:20:44 +0200

xapian-core (1.2.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Add pgpsigurlmangle setting to automatically verify
    detached GPG signatures on upstream release tarballs.

 -- Olly Betts <olly@survex.com>  Thu, 30 Jan 2014 16:04:50 +1300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: xapian-core
 Section: libs
-Priority: optional
+Priority: important
 Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dh-autoreconf
@@ -11,7 +11,6 @@
 Package: libxapian22
 Architecture: any
 Section: libs
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
 Description: Search engine library
@@ -45,6 +44,7 @@
 Package: libxapian-dev
 Architecture: any
 Section: libdevel
+Priority: optional
 Depends: libxapian22 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
@@ -62,6 +62,7 @@
 Package: xapian-tools
 Architecture: any
 Section: utils
+Priority: optional
 Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
@@ -87,6 +88,7 @@
 Package: xapian-doc
 Architecture: all
 Section: doc
+Priority: optional
 Depends: ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
 Description: Core Xapian documentation
@@ -104,6 +106,7 @@
 Package: xapian-examples
 Architecture: any
 Section: doc
+Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
 Description: Xapian simple example programs

## xapian-core 1.2.19

=== debian/changelog ===
xapian-core (1.2.19-1) unstable; urgency=low

  * New upstream release.
  * Ack NMU.
  * New patch force-serial-tests.patch to clean up fall out from
    dh-autoreconf change.
  * debian/control.in: "Standards-Version: 3.9.6" (no changes required).

 -- Olly Betts <olly@survex.com>  Wed, 22 Oct 2014 00:50:39 +1300

xapian-core (1.2.18-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Build using dh-autoreconf.  (Closes: #746238, #757155).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Sep 2014 16:12:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: important
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dh-autoreconf
 Homepage: http://xapian.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-core.git

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" http://xapian.org/download http://oligarchy.co.uk/xapian/(\d+\.\d*[02468]\.[\d.]+)/xapian-core-\1\.tar\.(?:xz|bz2|gz)

## xapian-core 1.2.21

=== debian/changelog ===
xapian-core (1.2.21-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2015 18:50:47 +0200

xapian-core (1.2.21-1.1) experimental; urgency=medium

  * Non maintainer upload.
  * Build using GCC 5. Closes: #791312.
  * Rename libxapian22-dbg to libxapian22v5-dbg.
  * Rename libxapian22 to libxapian22v5.
  * Add Conflict/Replaces.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Jul 2015 20:58:38 +0200

xapian-core (1.2.21-1) unstable; urgency=medium

  * New upstream release:
    + Now provides pkg-config file, packaged in libxapian-dev.
  * debian/rules: It's safe to assume dpkg >= 1.16.1 now, so simplify
    use of dpkg-buildflags.
  * Upstream releases are now bootstrapped with a newer libtool, so
    dh_autoreconf is no longer needed.

 -- Olly Betts <olly@survex.com>  Fri, 22 May 2015 00:17:27 +1200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: important
 Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dh-autoreconf
+Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~), g++ (>= 4:5.2)
 Homepage: http://xapian.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-core.git
 Vcs-git: git://anonscm.debian.org/collab-maint/xapian-core.git
 
-Package: libxapian22
+Package: libxapian22v5
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
+Conflicts: libxapian22
+Replaces: libxapian22
 Description: Search engine library
  This package contains the core Xapian runtime library.
  .
@@ -24,12 +26,14 @@
  update and searching.  It is highly scalable, and is capable of working with
  collections containing hundreds of millions of documents.
 
-Package: libxapian22-dbg
+Package: libxapian22v5-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libc6-dbg, libgcc1-dbg, zlib1g-dbg, libstdc++6-4.6-dbg
+Conflicts: libxapian22-dbg
+Replaces: libxapian22-dbg
 Description: Debugging symbols for the Xapian Search engine library
  This package contains debugging symbols for the core Xapian library.
  .
@@ -45,7 +49,7 @@
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: libxapian22 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Depends: libxapian22v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
  This package contains development libraries and headers for the core Xapian
@@ -63,7 +67,7 @@
 Architecture: any
 Section: utils
 Priority: optional
-Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
   - copydatabase: Copy one or more Xapian databases.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2015 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -22,8 +22,10 @@
 # IN THE SOFTWARE.
 
 # Codename we're building packages for.  For backported packages, put the
-# codename (e.g. lenny or jaunty) in debian/codename.  If that file doesn't
+# codename (e.g. jessie or trusty) in debian/codename.  If that file doesn't
 # exist, the default is sid.
+#
+# (Currently nothing in this file varies depending on the codename).
 # CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)
 
 # The soversion number needs to match that generated by libtool.  The following
@@ -32,7 +34,7 @@
 # supported by the library. This should correspond to the soversion assigned
 # to the library by libtool.  (This isn't documented, and is system dependent,
 # so we need to check it doesn't break with future versions of libtool.)
-libxapian_soversion:=$(shell awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2 - $$4}' configure.ac)
+libxapian_soversion:=$(shell awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2 - $$4}' configure.ac)v5
 
 # For now, we don't support installation of development files for multiple
 # versions concurrently.  Incompatible ABI changes should be rare, so this
@@ -59,23 +61,8 @@
     XAPIAN_BUILD_SSE := 1
 endif
 
-CFLAGS := `dpkg-buildflags --get CFLAGS`
-CXXFLAGS := `dpkg-buildflags --get CXXFLAGS`
-LDFLAGS := `dpkg-buildflags --get LDFLAGS`
-CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
-
-# Fallback for suites which don't have dpkg-buildflags.
-ifeq (,$(CFLAGS))
-    CFLAGS :=
-    CXXFLAGS := -g
-ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O2
-    CXXFLAGS += -O2
-endif
-endif
-
 # Handle other DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us,
-# and dpkg-buildflags handles noopt with newer dpkg.
+# and dpkg-buildflags handles noopt.
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -87,7 +74,10 @@
     MAKE_CHECK := $(MAKE) check VALGRIND=
 endif
 
-confflags += CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+# In dpkg 1.17.0, --export=cmdline was added as the preferred name, but stick
+# with --export=configure for now to ease backporting to suites with older
+# dpkg.
+confflags += $(shell dpkg-buildflags --export=configure)
 
 # With GCC3 and later this won't make a huge difference, but it'll save
 # a bit of time and diskspace while building.
@@ -126,7 +116,7 @@
 configure-stamp: debian/control
 	dh_testdir
 
-	dh_autoreconf
+	dh_autotools-dev_updateconfig
 
 	# Report kernel and compiler version so upstream PLATFORMS file can be
 	# updated from buildd logs.
@@ -224,3 +214,7 @@
 	dh_installchangelogs ChangeLog
 	:
 	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg
+	# Only keep debug symbols for the shared library.
+	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/lib/xapian-examples
+	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/bin
+	:
